
CoCoALib - Support #944

Release: CoCoALib-0.99550 (together with CoCoA-5.2.0)

12 Oct 2016 15:04 - Anna Maria Bigatti

Status: Closed Start date: 08 Apr 2014

Priority: High Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Tidying Estimated time: 5.11 hours

Target version: CoCoALib-0.99550 spring 2017 Spent time: 5.10 hours

Description

Everything related to making a CoCoALib release:

1. Redmine Roadmap: close or postpone issue

2. Redmine Release issues: check percentages, check timings

3. Finalize

4. make veryclean; make  (full make, with all tests and examples and CoCoA-5..)

5. tests: make valgrind

6. CoCoA-5: make ManExamples

7. create snapshot

8. upload examples

9. upload manual

10. update webpage

11. publish manual (arXiv?  ResearchGate?)

12. close release on Redmine

--> send message to facebook page

Related issues:

Related to CoCoA-5 - Support #851: Release: CoCoA-5.2.0 Closed 01 Aug 2014

Related to CoCoALib - Feature #298: Valgrind: keep CoCoALib at 0 memory leaks Closed 28 Jan 2013

Copied from CoCoALib - Support #754: Release: CoCoALib-0.99538 (together with... Closed 08 Apr 2014

Copied to CoCoALib - Support #1056: Release: CoCoALib-0.99560 (together with ... Closed 08 Apr 2014

History

#1 - 12 Oct 2016 15:04 - Anna Maria Bigatti

- Copied from Support #754: Release: CoCoALib-0.99538 (together with CoCoA-5.1.2) added

#2 - 12 Oct 2016 15:42 - John Abbott

Add also to check whether the CoCoA-5 tests pass with BackwardCompatible.cpkg5

#4 - 12 Oct 2016 16:05 - Anna Maria Bigatti

- Subject changed from Release: CoCoALib-0.99544 (together with CoCoA-5.1.4) to Release: CoCoALib-0.99544 (together with CoCoA-5.1.6)

#5 - 12 Oct 2016 16:06 - Anna Maria Bigatti

John Abbott wrote:

Add also to check whether the CoCoA-5 tests pass with BackwardCompatible.cpkg5

 

OK, moved it to #850
#6 - 12 Oct 2016 16:10 - Anna Maria Bigatti

- Status changed from Closed to In Progress

#7 - 12 Oct 2016 16:11 - Anna Maria Bigatti

- Target version set to CoCoALib-0.99550 spring 2017

#8 - 12 Oct 2016 16:12 - Anna Maria Bigatti

- Related to Support #851: Release: CoCoA-5.2.0 added

#10 - 12 Oct 2016 17:49 - Anna Maria Bigatti

First run of valgrind (I had to reinstall valgrind on my mac...)

 --test-BigInt3 

==87351==    definitely lost: 16 bytes in 1 blocks

 --test-bug5 

==87397==    definitely lost: 16 bytes in 1 blocks

 --test-bug7 

==87405==    definitely lost: 20,496 bytes in 513 blocks

 --test-DenseUPolyRing1 

==87413==    definitely lost: 16 bytes in 1 blocks

 --test-IsInteger1 

==87489==    definitely lost: 880 bytes in 33 blocks

 --test-MachineInt1 

==87493==    definitely lost: 16 bytes in 1 blocks

 --test-NumTheory1 

==87558==    definitely lost: 16 bytes in 1 blocks

 --test-OrderedDomain2 

==87592==    definitely lost: 1,128,528 bytes in 24,893 blocks

 --test-RandomSource2 

==87636==    definitely lost: 16 bytes in 1 blocks

 --test-RandomSource3 

==87643==    definitely lost: 16 bytes in 1 blocks

 --test-RingElem2 

==87663==    definitely lost: 16 bytes in 1 blocks

 --test-RingElem4 

==87671==    definitely lost: 16 bytes in 1 blocks

 --test-RingElem5 

==87695==    definitely lost: 16 bytes in 1 blocks

 --test-RingHom1 

==87710==    definitely lost: 16 bytes in 1 blocks

 --test-RingTwinFloat4 

==87743==    definitely lost: 16 bytes in 1 blocks

 --test-RingTwinFloat5 

==87748==    definitely lost: 16 bytes in 1 blocks

 --test-RingZmodN1 

==87760==    definitely lost: 16 bytes in 1 blocks

 --test-symbol1 

==87799==    definitely lost: 16 bytes in 1 blocks

 --test-utils1 

==87831==    definitely lost: 16 bytes in 1 blocks
#11 - 12 Oct 2016 18:00 - Anna Maria Bigatti

- Related to Feature #298: Valgrind: keep CoCoALib at 0 memory leaks added

#12 - 12 Oct 2016 18:02 - Anna Maria Bigatti

Anna Maria Bigatti wrote:

First run of valgrind (I had to reinstall valgrind on my mac...)

[...]

 

The "16-byte leak" seems related to throwing/catching errors: is independent of the number of throws/catches and number of error values.

Now I investigate the others.

#13 - 12 Oct 2016 18:08 - John Abbott

I'll do test-OrderedRing2.... there is a leak in twinfloat.

I know where it is; now I just have to find a nice way of avoiding it.

#14 - 13 Oct 2016 11:31 - Anna Maria Bigatti

- % Done changed from 0 to 30

Thanks John!  Now we have only the "16bytes"

 --test-BigInt3 

==90655==    definitely lost: 16 bytes in 1 blocks

 --test-bug5 

==90709==    definitely lost: 16 bytes in 1 blocks

 --test-bug7 

==90717==    definitely lost: 16 bytes in 1 blocks

 --test-DenseUPolyRing1 

==90725==    definitely lost: 16 bytes in 1 blocks

 --test-IsInteger1 

==90801==    definitely lost: 16 bytes in 1 blocks

 --test-MachineInt1 

==90805==    definitely lost: 16 bytes in 1 blocks

 --test-NumTheory1 

==90863==    definitely lost: 16 bytes in 1 blocks

 --test-OrderedDomain2 

==90899==    definitely lost: 16 bytes in 1 blocks

 --test-RandomSource2 

==90939==    definitely lost: 16 bytes in 1 blocks

 --test-RandomSource3 

==90945==    definitely lost: 16 bytes in 1 blocks

 --test-RingElem2 

==90967==    definitely lost: 16 bytes in 1 blocks

 --test-RingElem4 

==90975==    definitely lost: 16 bytes in 1 blocks

 --test-RingElem5 

==90982==    definitely lost: 16 bytes in 1 blocks

 --test-RingHom1 

==91016==    definitely lost: 16 bytes in 1 blocks

 --test-RingTwinFloat4 

==91044==    definitely lost: 16 bytes in 1 blocks

 --test-RingTwinFloat5 

==91048==    definitely lost: 16 bytes in 1 blocks
 --test-RingZmodN1 

==91060==    definitely lost: 16 bytes in 1 blocks

 --test-symbol1 

==91092==    definitely lost: 16 bytes in 1 blocks

 --test-utils1 

==91128==    definitely lost: 16 bytes in 1 blocks

#15 - 29 Mar 2017 11:28 - Anna Maria Bigatti

- Subject changed from Release: CoCoALib-0.99544 (together with CoCoA-5.1.6) to Release: CoCoALib-0.99550 (together with CoCoA-5.1.6)

#16 - 22 Apr 2017 23:03 - John Abbott

- % Done changed from 30 to 40

I am hoping this can be completed very soon (within a week?).

I have just run make valgrind in src/tests/ and all programs were clean :-)

[the reports for test-hilbert1 and test-GFan1 were slightly odd: "0 bytes leaked"]

ADDENDUM also make valgrind for the examples says all programs are clean :-)

Just remember that the corresponding CoCoA-5 version is 5.2.0 (not 5.1.6 as in the title!)

#17 - 28 Apr 2017 09:40 - Anna Maria Bigatti

- Subject changed from Release: CoCoALib-0.99550 (together with CoCoA-5.1.6) to Release: CoCoALib-0.99550 (together with CoCoA-5.2.0)

- Description updated

- % Done changed from 40 to 50

#18 - 28 Apr 2017 16:09 - Anna Maria Bigatti

- Description updated

#19 - 28 Apr 2017 16:12 - Anna Maria Bigatti

- Description updated

#20 - 28 Apr 2017 17:02 - Anna Maria Bigatti

- Copied to Support #1056: Release: CoCoALib-0.99560 (together with CoCoA-5.2.2) added

#21 - 04 May 2017 18:42 - Anna Maria Bigatti

uploaded release, manual and examples

#22 - 08 May 2017 08:34 - Anna Maria Bigatti

- % Done changed from 50 to 90

updated web page
#23 - 08 May 2017 11:48 - Anna Maria Bigatti

published manual on ResearchGate

#24 - 08 May 2017 11:54 - Anna Maria Bigatti

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

- Estimated time changed from 4.00 h to 5.11 h
